//package com.boman.file.service;
//
//import com.alibaba.fastjson.JSONObject;
//import com.boman.common.core.web.domain.AjaxResult;
//import com.boman.domain.dto.ImportExcelDto;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Service;
//import org.springframework.web.multipart.MultipartFile;
//import com.boman.file.config.MinioConfig;
//import com.boman.file.utils.FileUploadUtils;
//import io.minio.MinioClient;
//import io.minio.PutObjectArgs;
//
//import javax.servlet.http.HttpServletResponse;
//import java.io.IOException;
//import java.util.List;
//
///**
// * Minio 文件存储
// *
// * @author ruoyi
// */
//@Service
//public class MinioSysFileServiceImpl implements ISysFileService
//{
//    @Autowired
//    private MinioConfig minioConfig;
//
//    @Autowired
//    private MinioClient client;
//
//    /**
//     * 本地文件上传接口
//     *
//     * @param file 上传的文件
//     * @return 访问地址
//     * @throws Exception
//     */
//    @Override
//    public String uploadFile(MultipartFile file) throws Exception
//    {
//        String fileName = FileUploadUtils.extractFilename(file);
//        PutObjectArgs args = PutObjectArgs.builder()
//                .bucket(minioConfig.getBucketName())
//                .object(fileName)
//                .stream(file.getInputStream(), file.getSize(), -1)
//                .contentType(file.getContentType())
//                .build();
//        client.putObject(args);
//        return minioConfig.getUrl() + "/" + minioConfig.getBucketName() + "/" + fileName;
//    }
//
//    /**
//     * 功能描述: 上传base64
//     *
//     * @param base64 base64
//     * @return java.lang.String
//     */
//    @Override
//    public String uploadFileBase64(String base64) throws IOException {
//        return null;
//    }
//
//    /**
//     * 功能描述: 通用的导入接口
//     *
//     * @param dto     dto
//     * @return java.util.List<com.alibaba.fastjson.JSONObject>
//     */
//    @Override
//    public List<JSONObject> importExcelCommon(ImportExcelDto dto) {
//        return null;
//    }
//
//    /**
//     * 功能描述: 通用的导入接口
//     *
//     * @param multipartFile multipartFile
//     * @param tableName     tableName
//     * @return java.util.List<com.alibaba.fastjson.JSONObject>
//     */
//    @Override
//    public AjaxResult importExcelCommon(MultipartFile multipartFile, String tableName) throws Exception {
//        return null;
//    }
//
//    /**
//     * 功能描述: 通用的导出接口
//     *
//     * @param tableName tableName
//     * @param empty     true=>只带表头的excel，不含数据, false=>带数据的excel
//     * @return com.boman.common.core.web.domain.AjaxResult
//     */
//    @Override
//    public AjaxResult exportExcelCommon(HttpServletResponse response, String tableName, Boolean empty, JSONObject condition) {
//        return null;
//    }
//}
