package com.boman.domain.constant;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * @author shiqian
 * @date 2021年05月13日 18:06
 **/
public class MysqlDataTypeConst {

    public static final String BIT_INT = "bigint";
    public static final String INT = "int";
    public static final String TINY_INT = "tinyint";
    public static final String INTEGER = "integer";
    public static final String MEDIUM_INT = "mediumint";

    public static final List<String> NUMBER = Stream.of(BIT_INT, INT, TINY_INT, INTEGER, MEDIUM_INT)
            .collect(Collectors.toList());


}
